Bug 724864 - Review Request: python-flask-openid - OpenID support for Flask
Summary: Review Request: python-flask-openid - OpenID support for Flask
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: pjp
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 724865 (view as bug list)
Depends On: 725139
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-07-22 04:44 UTC by Praveen Kumar
Modified: 2012-12-20 16:24 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-20 16:24:33 UTC
Type: ---
pj.pandit: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Praveen Kumar 2011-07-22 04:44:36 UTC
Spec URL: http://kumarpraveen.fedorapeople.org/flask-openid/python-flask-openid.spec
SRPM URL: http://kumarpraveen.fedorapeople.org/flask-openid/python-flask-openid-1.0.1-1.fc15.src.rpm
Description: Flask-OpenID is an extension to flask that allows you to add openid
based authentication to your website in a matter of minutes.

koji Build : http://koji.fedoraproject.org/koji/taskinfo?taskID=3221656

Comment 1 Parag AN(पराग) 2011-07-22 05:34:03 UTC
*** Bug 724865 has been marked as a duplicate of this bug. ***

Comment 2 pjp 2011-07-23 04:39:09 UTC
[X] Package name - ok
[X] Package group - ok.
[X] Package license - ok.
[X] Build successful - ok.

[X] $ rpmlint SRPMS/python-flask-openid-1.0.1-1.fc14.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

  - ok.

[X] $ rpmlint RPMS/noarch/python-flask-openid-1.0.1-1.fc14.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

  - ok.

[X] Install/Un-install - ok.

Overall good.

Comment 3 pjp 2011-07-23 04:39:42 UTC
Approved.

Comment 4 Praveen Kumar 2011-07-23 04:52:11 UTC
New Package SCM Request
=======================
Package Name: python-flask-openid 
Short Description: OpenID support for Flask
Owners: kumarpraveen sundaram pjp
Branches: f14 f15 el6

Comment 5 Gwyn Ciesla 2011-07-23 14:34:09 UTC
Git done (by process-git-requests).

Comment 6 Volker Braun 2012-07-08 19:30:53 UTC
python-flask-openid requires python-openid at runtime but lists it only under BuildRequires. You will get a "ImportError: No module named openid.association" when you try to import flaskext.openid.

Comment 7 Fedora Update System 2012-07-09 14:25:28 UTC
python-flask-openid-1.0.1-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-flask-openid-1.0.1-3.fc17

Comment 8 Fedora Update System 2012-07-09 14:55:40 UTC
python-flask-openid-1.0.1-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python-flask-openid-1.0.1-3.fc16

Comment 9 Fedora Update System 2012-07-10 16:22:37 UTC
Package python-flask-openid-1.0.1-3.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-flask-openid-1.0.1-3.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10414/python-flask-openid-1.0.1-3.fc17
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2012-12-20 16:24:35 UTC
python-flask-openid-1.0.1-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.